//g++ -g mainForServer.C -o mainForServer `sigc-config --libs --cflags`
#include "TCPListener.H"
#include <signal.h>
//  int end;

//  void endme(int signum)
//  {
//      end=1;
//  }

int main()
{
//      signal(SIGINT,endme);
//      end=0;
    int count=0;
    
    TCPListener myServ(2001);
//    while(!end){
    while(true){
        
//can do other things ...
        count++;
    }
//  //catch SIGINT(C-c) signal to properly close socket
//      delete myServ;
//  //    cout << "closing\n";
    return 0;
}
